Subject: Re: rxvt cursor corruption under WinXP/ClearType
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Fri, 01 Mar 2002 15:30:06 -0800
Newsgroups: gmane.os.cygwin

Rui Carmo wrote:

> Hello there,
> 
> I've been searching the mailing-list archives for posts concerning the vertical cursor "trails" bug that rxvt exhibits under Windows XP with ClearType, but have found nothing. 
> 
> Steps to reproduce the bug:
> - Under Windows XP, activate ClearType (Display Properties|Appearance|Effects|Use the following method... ClearType)
> - Start rxvt with the following command line:
>   rxvt.exe -tn xterm -sr -fn "Lucida Console-14" -sl 30000 -e bash --login -i
> - Type some chars and notice the vertical bars the cursor leaves (erase or redraw are off by one pixel)
> 
> This only happens with monospaced fonts other than Courier New or System (Lucida Console, Andale Mono, and practically all other monospaced fonts I tried).
> 
> I am willing to help debug/test this, and have spent a couple of hours trying to recompile rxvt on my box (setting up CVS, etc., and following the steps detailed on /usr/doc/Cygwin/rxvt-2.7.2.README), but would like to get in touch with other folk that have been working on rxvt to swap tips.
> 
> Since I am not subscribed to the list, please e-mail me directy.

Ah! So that's what it is! I've been having this problem at home on my XP 
box for a while now but didn't see the problem on my work XP box. Don't 
know the solution but at least I now know what to turn off. Thanks.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/